#### D.5.10.3 matrixLog

Procedure from library `orbitparam.lib` (see orbitparam_lib).

Usage:
  matrixLog(A); A matrix.

Assume:
  A-E is a nilpotent n x n matrix.
  If the characteristic p of the ground field is positive, then n has to be smaller than p.

Return:
  matrix, log(A)

Theory:
  We compute the power series, which terminates since A-E is nilpotent.

Example:

    LIB "orbitparam.lib";
    ring R = 0,(s,t),dp;
    matrix A[3][3] = 1,s,st/2, 0,1,t, 0,0,1;
    matrixLog(A);
    ==> _[1,1]=0
    ==> _[1,2]=s
    ==> _[1,3]=0
    ==> _[2,1]=0
    ==> _[2,2]=0
    ==> _[2,3]=t
    ==> _[3,1]=0
    ==> _[3,2]=0
    ==> _[3,3]=0

User manual for Singular version 4.4.1, 2025, generated by texi2html.